%define ocamlname reactiveData

Name:           ocaml-%{ocamlname}
Version:        0.2.1
Release:        1%{?dist}.emp1
Summary:        Functional reactive programming with incremental changes in data structures
License:        ISC
URL:            https://github.com/mirage/ocaml-%{ocaml-name}
Source0:        %{ocamlname}-%{version}.tar.gz

Requires:  	ocaml >= 3.11.0
Requires:	ocaml-findlib
Requires:	ocaml-react

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 3.11.0
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-react-devel

%description
ReactiveData is an OCaml module for functional reactive programming
(FRP) based on React. It adds support to incremental changes in data
structures by reasoning on patches instead of absolute values.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	ocaml-findlib-devel
Requires:	ocaml-react-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
ocaml pkg/build.ml native=true native-dynlink=true

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc LICENSE
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
